/*
 * Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License version 2.1 as published by the Free Software
 * Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301  USA
 */
package pl.chyla.wyjec.stdfuncs.booleanfuncs;

import pl.chyla.wyjec.core.Function;


/**
 * Factory for all standard functions operating on values of Wyjec's boolean type.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class BooleanFunctions {

    /**
     * Private empty constructor to disallow instantiating of the class.
     */
    private BooleanFunctions() { }

    /**
     * Returns array of {@link pl.chyla.wyjec.core.Function} instances representing all standard
     * boolean functions.
     *
     * @return new array of instances of standard boolean functions
     */
    public static Function[] getFunctions() {
        return new Function[] {
            new FnTrue(), new FnFalse(),
            new FnEqual(),
            new FnAnd(), new FnOr(), new FnNot(),
            new FnStr()};
    }

}
