/*
 * Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License version 2.1 as published by the Free Software
 * Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301  USA
 */
package pl.chyla.wyjec.utils;


/**
 * Helper class grouping simple (and effective) operations on numbers of type <code>char</code>.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class CharUtils {

    /**
     * Private empty constructor to disallow instantiating of the class.
     */
    private CharUtils() { }

    /**
     * Checks whether given character is decimal digit, i.e. character between '0' and '9'.
     *
     * @param ch character to check
     * @return <code>true</code> if given character is a digit, <code>false</code> otherwise
     */
    public static boolean isDigit(char ch) {
        return IntUtils.isBetweenInclusive(ch, '0', '9');
    }

}
